Page MenuHomePhabricator

Upgrade WebdriverIO to version 5 for all repositories
Closed, InvalidPublic

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
zeljkofilipin changed the task status from Stalled to Open.Nov 7 2019, 3:40 PM

T236927 is resolved, no longer stalled.

Krinkle removed a subscriber: Krinkle.Nov 8 2019, 12:55 AM

Change 556810 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] selenium: Upgrade from webdriver v4 to v5

https://gerrit.wikimedia.org/r/556810

Change 556810 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] selenium: Upgrade from webdriver v4 to v5

https://gerrit.wikimedia.org/r/556810

Looks like the patch to upgrade webdriverio failed for GrowthExperiments (and TemplateWizard locally when I tried making a patch to upgrade). I noticed that they both seem to fail in similar ways. The error reads "UnhandledPromiseRejectionWarning: TypeError: adminBot.getCreateaccountToken is not a function" for GrowthExperiments and "UnhandledPromiseRejectionWarning: TypeError: Api.edit is not a function" for TemplateWizard.

Change 540104 abandoned by Awight:
Update to wdio 5

https://gerrit.wikimedia.org/r/540104

Change 573679 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Newsletter@master] Upgrade webdriverio from 4.x to 5.x and related changes

https://gerrit.wikimedia.org/r/573679

Change 573724 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Math@master] build: Updating npm dependencies

https://gerrit.wikimedia.org/r/573724

Change 573724 abandoned by MarcoAurelio:
build: Updating npm dependencies

https://gerrit.wikimedia.org/r/573724

zeljkofilipin renamed this task from Upgrade webdriverio to version 5 for all repositories to Upgrade WebdriverIO to version 5 for all repositories.Mar 17 2020, 2:33 PM

Are there still any mirco tasks available on this?

@Ceofred I will add micro tasks today.

@Ceofred sorry, I've created T234314 a couple of days ago, but I've forgot to add it as sub-task here.

zeljkofilipin updated the task description. (Show Details)

Change 584708 had a related patch set uploaded (by Zfilipin; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] [WIP] Update to wdio 5

https://gerrit.wikimedia.org/r/584708

Change 584708 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Upgrade tests to wdio 5

https://gerrit.wikimedia.org/r/584708